%define	name	rxvt
%define	version	2.6.1
%define	release 7mdk
%define	serial	1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Terminals
URL:		http://www.rxvt.org
Source:		%{name}-%{version}.tar.bz2
Source2:	rxvt.wmconfig
Source3: %{name}-32.xpm.bz2
Patch0:		rxvt-2.6.1-fixman.patch.bz2
Patch1:		rxvt-2.6.1-utmp98.patch.bz2
Patch2:     rxvt-2.6.1-colorapprox.patch.bz2
Patch3:     rxvt-2.6.1-fixscroll.patch.bz2
Patch4:	    rxvt-2.6.1-fixkeys.patch.bz2
Patch5:	    rxvt-2.6.1-metamod.patch.bz2
Patch6:		rxvt-2.6.1-rxvtminiicon.patch.bz2
# (gc) Home/End keys now produce standard Linux sequences "^[1~" and "^[4~"
Patch7:	    rxvt-2.6.1-fixkeys-gc.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Summary:	rxvt - terminal emulator in an X window

%description
Rxvt is a VT100 terminal emulator for X. It is intended as a replacement for
xterm(1) for users who do not require the more esoteric features of xterm.
Specifically rxvt does not implement the Tektronix 4014 emulation, session
logging and toolkit style configurability. As a result, rxvt uses much less
swap space than xterm - a significant advantage on a machine serving many X
sessions.

%prep
%setup -q
%patch0 -p1 -b .fixman
%patch1 -p1 -b .utmp98
%patch2 -p1 -b .colorapprox
%patch3 -p1 -b .fixscroll
%patch5 -p1 -b .metamod
%patch6 -p1
%patch7 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr/X11R6 \
	--enable-utmp --enable-wtmp --enable-xpm-background \
	--enable-transparency --enable-menubar --enable-graphics \
	--enable-next-scroll --with-term=rxvt \
	--enable-xgetdefault --enable-ttygid 
make

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT/etc/X11/wmconfig
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

make prefix=$RPM_BUILD_ROOT/usr/X11R6 install

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m644 rxvt-mini.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat << "EOF" > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):\
  needs=X11\
  section=Terminals\
  title="rxvt"\
  command="/usr/X11R6/bin/rxvt" \
  icon="%{name}.xpm"
EOF

%post
if [ -x /usr/bin/update-menus ];then
  update-menus
fi

%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ];then
	update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
/usr/lib/menu/rxvt
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm

%changelog
* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6.1-7mdk
- home/end keys patch
- fixed update-menus postun
- added 32x32 icon

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-6mdk
- Move icon to /usr/share/icons/mini/.
- Really fix meta/alt keys.

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-5mdk
- Set menu in /Terminals.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-4mdk
- Remove buggy rh patch with keys.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-3mdk
- Fix meta key.
- Menufication.
- Upgrade groups.
- Clean-up specs.
- Merge rh patchs.

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sun Sep 12 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- updated to version 2.6.1
- added Preston Brown <probwn@redhat.com>'s patch.

* Mon Apr 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Use $TERM=rxvt instead of xterm.
- Enabling Bakc and Suppr Keys.

* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE3-1]
- Updated to version 2.6.PRE3
- Changed URL to reflect new rxvt web site.

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-3]
- added --enable-ttygid

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-2]
- Fix change_font/move_window bug better
   avoids coredump on resize window!

* Wed Jan 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-1]
- Upgraded to rxvt-2.6.PRE2
- Geoff Wing <gcw@pobox.com>
  - fixed declaration position for COLORFGBG env var - really fixed this
    	time (noticed by Rob Somerville <somervil@cadvision.com>)
  - fixed transparent term reparenting/configure issues
  - fixed some documentation (noticed by
    	Richard Browne <richb@timestone.com.au>)

- MANTANI Nobutaka <nobutaka@nobutaka.com>
  - added XIM (X Input Method) enhancements

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE1-2]
- Upgraded to rxvt-2.6.PRE1
